'use strict';
const Koa = require('koa');
const mount = require('koa-mount');

/**
 * Initialize the koa server.
 * @returns {Promise<void>} A promise that resolves when the server is initialized.
 */
async function initialize() {
  const koaApp = new Koa();
  koaApp.use(mount('/hello', require('./routes/hello')));
  koaApp.listen(3000);
}

if (require.main === module) {
  initialize();
}

module.exports = { initialize };
